package user

import (
	"net/http"

	logic "in-server/app/main/api/internal/logic/user"
	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"
	"in-server/common/result"
	"in-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// PasswordLoginHandler 账号密码登录
func PasswordLoginHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PasswordLoginReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := logic.NewPasswordLoginLogic(r.Context(), svcCtx)
		resp, err := l.PasswordLogin(&req)
		result.HttpResult(r, w, resp, err)
	}
}

